#ifndef XGPUTEXTUREFETCHCONSTANT_H
#define XGPUTEXTUREFETCHCONSTANT_H

#include "xasset.h"

class XGpuTextureFetchConstant : public XAsset
{
public:
    XGpuTextureFetchConstant();
    ~XGpuTextureFetchConstant();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    int mPlatform;
};

#endif // XGPUTEXTUREFETCHCONSTANT_H
